#3938 closed defect (fixed)

Many (~40) BSPs Fail to Link all Tests

Reported by: Joel Sherrill Owned by: joel@…
Priority: highest Milestone: 5.1
Component: test Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

When configured as as show, ~40 BSPs (list below) cannot link all of the tests due to out of memory issues:

../rtems/configure --target=arm-rtems5 --prefix=/home/joel/rtems-work/bsp-install/ --disable-multiprocessing --enable-cxx --disable-rdbg --enable-maintainer-mode --enable-tests --disable-networking --disable-posix --disable-itron --disable-deprecated --disable-ada --disable-expada --enable-rtemsbsp=atsamv   

arm-atsamv
arm-lm3s3749
arm-lm3s6965
arm-lm4f120
arm-lpc1768_mbed_ahb_ram_eth
arm-lpc1768_mbed_ahb_ram
arm-lpc1768_mbed
arm-lpc2362
arm-lpc23xx_tli800
arm-lpc32xx_mzx_stage_1
arm-rtl22xx
arm-rtl22xx_t
arm-stm32f105rc
arm-stm32f4
arm-tms570ls3137_hdk_intram
arm-tms570ls3137_hdk
arm-tms570ls3137_hdk_with_loader
m68k-mcf52235
m68k-mcf5225x
m68k-mrm332
powerpc-gwlcfm
powerpc-mpc5566evb
powerpc-mpc5566evb_spe
powerpc-mpc5643l_dpu
powerpc-mpc5643l_evb
powerpc-mpc5668g
powerpc-mpc5674f_ecu508_app
powerpc-mpc5674f_ecu508_boot
powerpc-mpc5674fevb
powerpc-mpc5674fevb_spe
powerpc-mpc5674f_rsm6
sh-gensh1
sh-gensh2
sh-simsh1
sh-simsh2e
sh-simsh2
sh-simsh4
sparc64-niagara
sparc64-usiii

Change History (18)

comment:1 Changed on Apr 6, 2020 at 7:01:25 PM by Sebastian Huber

I already fixed this in the new build system.

comment:2 Changed on Apr 6, 2020 at 7:05:55 PM by Sebastian Huber

The sparc64 is #3936.

comment:3 Changed on Apr 6, 2020 at 7:08:12 PM by Joel Sherrill

Is this an attempt to avoid fixing it on the master before we cut a release branch? This is a failure for ~25% of the BSPs in the tree.

comment:4 Changed on Apr 6, 2020 at 7:08:40 PM by Sebastian Huber <sebastian.huber@…>

In c547470e/rtems:

tests: Small memory exclude for record02

Update #3938.

comment:5 in reply to:  3 Changed on Apr 6, 2020 at 7:10:10 PM by Sebastian Huber

Replying to Joel Sherrill:

Is this an attempt to avoid fixing it on the master before we cut a release branch? This is a failure for ~25% of the BSPs in the tree.

No, it is a statement that I work on this!

comment:6 Changed on Apr 6, 2020 at 7:22:58 PM by Sebastian Huber <sebastian.huber@…>

In 92a3a19c/rtems:

tests: Exclude record02 for some BSPs

Update #3938.

comment:7 Changed on Apr 6, 2020 at 7:30:50 PM by Sebastian Huber

I should be fixed.

comment:8 Changed on Apr 6, 2020 at 7:44:06 PM by Joel Sherrill

Thanks. Building with your commit. arm/atsamv fails linking record02.

I will post more as the build progresses or finishes.

comment:10 Changed on Apr 7, 2020 at 10:15:03 PM by Joel Sherrill <joel@…>

In f74d70e6/rtems:

lm4f120-testsuite.tcfg: Add psxsignal07

Updates #3938.

comment:11 Changed on Apr 7, 2020 at 10:15:06 PM by Joel Sherrill <joel@…>

In fe5d50ed/rtems:

lpc1768_mbed_ahb_ram_eth-testsuite.tcfg: Add psxsignal07

Updates #3938.

comment:12 Changed on Apr 7, 2020 at 10:15:09 PM by Joel Sherrill <joel@…>

In dcb097a/rtems:

lpc2362-testsuite.tcfg: Add psxaoi03 and psxsignal07

Updates #3938.

comment:13 Changed on Apr 7, 2020 at 10:15:13 PM by Joel Sherrill <joel@…>

In a7ea726f/rtems:

lpc1768_mbed-testsuite.tcfg: Add psxaoi03 and psxsignal07

Updates #3938.

comment:14 Changed on Apr 7, 2020 at 10:15:16 PM by Joel Sherrill <joel@…>

In af7e519/rtems:

mcf52235-testsuite.tcfg: Add sp16

Updates #3938.

comment:15 Changed on Apr 7, 2020 at 10:15:19 PM by Joel Sherrill <joel@…>

In f493534/rtems:

lpc23xx_tli800-testsuite.tcfg: Add psxaoi03 and psxsignal07

Updates #3938.

comment:16 Changed on Apr 8, 2020 at 5:19:24 AM by Sebastian Huber

Sorry for not catching the POSIX tests. I assigned a bit more RAM to my build ramdisk and now it builds with POSIX enabled.

comment:17 Changed on Apr 8, 2020 at 1:30:22 PM by Joel Sherrill

I made a series of commits and an overnight build shows this is resolved. The epiphany is the only BSP which doesn't build and that's a GCC ICE.

Thanks.

Closing.

comment:18 Changed on Apr 8, 2020 at 1:51:02 PM by Joel Sherrill

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.